DEBSPAWN-RUN(1)

NAME
debspawn-run - Run arbitrary commands in debspawn container session

SYNOPSIS

debspawn run [-h|--help] [--variant] [-a|--arch] [--suite] [--artifacts-out] [--build-dir] [--bind-build-dir] [--cachekey] [--init-command] [-x|--external-command] [--header] [--allow] [--boot] [--persistent] [--run-as] {NAME} {COMMAND}

DESCRIPTION

This subcommand allows you to run arbitrary commands in an ephemeral debspawn container, using the same environment that is normally used for building packages.

debspawn run is explicitly designed to be used by other automation tools for custom applications, and usually you will want to use debspawn build instead to build Debian packages.

OPTIONS

NAME
    The name of the container image (usually a distribution suite name).

COMMAND
    The command to run.

-h|--help
    Print brief help information about available commands.

--variant
    Set the variant of the selected image, that was used for bootstrapping.

-a|--arch
    The architecture of the base image that should be selected.

--suite
    Explicitly set a suite name (instead of having it derived from the container name).

--artifacts-out
    Directory on the host where artifacts can be stored. Mounted to /srv/artifacts in the guest.

--build-dir
    Select a host directory that gets copied to /srv/build.

--bind-build-dir
    Bindmount build directory instead of copying it. Mounts read-only by default, but can mount as writable as well if 'rw' is passed as value.

--cachekey
    If set, use the specified cache-ID to store an initialized container image for faster initialization times. This may mean that the command passed in `--init-command` is skipped if the cache already existed.

--init-command
    The command or command script used to set up the container.

-x|--external-command
    If set, the command script(s) will be copied from the host to the container and then executed.

--header
    Name of the task that is run, will be printed as header.

--allow
    List one or more additional permissions to grant the container. Takes a comma-separated list of capability names.

--boot
    Boot container image (requires the image to contain an init system).

--persistent
    Make changes done by the command or script persistent, writing them back into the container base image after the run completes.

--run-as
    Run the command as root (`privileged`, default) or as the container's unprivileged `builder` user (`unprivileged`).

SEE ALSO

debspawn-build(1).

AUTHOR

This manual page was written by Matthias Klumpp <mak@debian.org>.

COPYRIGHT
Copyright © 2018-2022 Matthias Klumpp